clan::RenderBuffer Class Reference - ClanLib SDK
Description: clan::RenderBuffer Class Reference

Public Member Functions | List of all members
clan::RenderBuffer Class Reference
clanDisplay Display

Render-buffer object class. More...

`#include <render_buffer.h>`

## Public Member Functions
| RenderBuffer ()
| Constructs a null instance.
| RenderBuffer (GraphicContext &context, int width, int height, TextureFormat texture_format=TextureFormat::rgba8, int multisample_samples=0)
| Constructs a RenderBuffer.
RenderBufferProvider * | get_provider () const
| Get Provider.
const Size & | get_size () const
| Returns the render buffer size.
bool | is_null () const
| Returns true if this object is invalid.
| operator bool () const
bool | operator== (const RenderBuffer &other) const
| Equality operator.
void | throw_if_null () const
| Throw an exception if this object is invalid.

## Detailed Description

Render-buffer object class.

## Constructor & Destructor Documentation

## ◆ RenderBuffer() [1/2]

clan::RenderBuffer::RenderBuffer | ( |  | ) |

Constructs a null instance.

Referenced by operator==().

## ◆ RenderBuffer() [2/2]

clan::RenderBuffer::RenderBuffer | ( | GraphicContext & | context,
|  | int | width,
|  | int | height,
|  | TextureFormat | texture_format = TextureFormat::rgba8,
|  | int | multisample_samples = 0 )

Constructs a RenderBuffer.

Parameters

  context | = Graphic Context
  width | = value
  height | = value
  internal_format | = Texture Format

References clan::rgba8.

## Member Function Documentation

## ◆ get_provider()

RenderBufferProvider * clan::RenderBuffer::get_provider | ( |  | ) | const

Get Provider.

Returns
  provider

## ◆ get_size()

const Size & clan::RenderBuffer::get_size | ( |  | ) | const

Returns the render buffer size.

## ◆ is_null()

bool clan::RenderBuffer::is_null | ( |  | ) | const
| inline

Returns true if this object is invalid.

## ◆ operator bool()

clan::RenderBuffer::operator bool | ( |  | ) | const
| inlineexplicit

## ◆ operator==()

bool clan::RenderBuffer::operator== | ( | const RenderBuffer & | other | ) | const

Equality operator.

References RenderBuffer().

## ◆ throw_if_null()

void clan::RenderBuffer::throw_if_null | ( |  | ) | const

Throw an exception if this object is invalid.

The documentation for this class was generated from the following file:

- render_buffer.h